ReadTokensTask (Lucene 10.5.1 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.tasks, class: ReadTokensTask

Package org.apache.lucene.benchmark.byTask.tasks

# Class ReadTokensTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.ReadTokensTask

All Implemented Interfaces:
  `Cloneable`

public class ReadTokensTask extends PerfTask
Simple task to test performance of tokenizers. It just creates a token stream for each field of the document and read all tokens out of that stream.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadTokensTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
  `protected String`
  `getLogMessage(int recsCount)`
  `void`
  `setup()`
  Task setup work that should not be measured for that specific task.
  `void`
  `tearDown()`
  Task tearDown work that should not be measured for that specific task.

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadTokensTask

    public ReadTokensTask(PerfRunData runData)

- ## Method Details

  - ### setup

    public void setup() throws Exception
    Description copied from class: `PerfTask`
    Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from `PerfTask.doLogic()` to this method. Only the work done in `PerfTask.doLogic()` is measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.
    Overrides:
      `setup` in class `PerfTask`
    Throws:
      `Exception`

  - ### getLogMessage

    protected String getLogMessage(int recsCount)
    Overrides:
      `getLogMessage` in class `PerfTask`

  - ### tearDown

    public void tearDown() throws Exception
    Description copied from class: `PerfTask`
    Task tearDown work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from `PerfTask.doLogic()` to this method. Only the work done in `PerfTask.doLogic()` is measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.
    Overrides:
      `tearDown` in class `PerfTask`
    Throws:
      `Exception`

  - ### doLogic

    public int doLogic() throws Exception
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Specified by:
      `doLogic` in class `PerfTask`
    Returns:
      number of work items done by this task.
    Throws:
      `Exception`